<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1RotationalSpline.html">RotationalSpline</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::RotationalSpline Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1RotationalSpline.html">Ogre::RotationalSpline</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RotationalSpline.html#a5ba4e31b2ec1aec5c6c2878440184709">addPoint</a>(const Quaternion &amp;p)</td><td><a class="el" href="classOgre_1_1RotationalSpline.html">Ogre::RotationalSpline</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RotationalSpline.html#ad52da70d8d76c5c6d2203197e14b3520">clear</a>(void)</td><td><a class="el" href="classOgre_1_1RotationalSpline.html">Ogre::RotationalSpline</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RotationalSpline.html#ae370943401af17c1642b36969b7bcb5c">getNumPoints</a>(void) const </td><td><a class="el" href="classOgre_1_1RotationalSpline.html">Ogre::RotationalSpline</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RotationalSpline.html#ade94d1a8e67b3113d70bc22bd4801dae">getPoint</a>(unsigned short index) const </td><td><a class="el" href="classOgre_1_1RotationalSpline.html">Ogre::RotationalSpline</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RotationalSpline.html#a4fd498ecda341877bed16614f99513f3">interpolate</a>(Real t, bool useShortestPath=true)</td><td><a class="el" href="classOgre_1_1RotationalSpline.html">Ogre::RotationalSpline</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RotationalSpline.html#a50e4fac029abebe1f318a80da015f544">interpolate</a>(unsigned int fromIndex, Real t, bool useShortestPath=true)</td><td><a class="el" href="classOgre_1_1RotationalSpline.html">Ogre::RotationalSpline</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RotationalSpline.html#afa8532df52d89e4e86d330139bdb79f6">mAutoCalc</a></td><td><a class="el" href="classOgre_1_1RotationalSpline.html">Ogre::RotationalSpline</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RotationalSpline.html#a7e22feb0000cb5fc371cb5859bff6367">mPoints</a></td><td><a class="el" href="classOgre_1_1RotationalSpline.html">Ogre::RotationalSpline</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RotationalSpline.html#af57d703cf7f6cf4a43b6595e88b33c6c">mTangents</a></td><td><a class="el" href="classOgre_1_1RotationalSpline.html">Ogre::RotationalSpline</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RotationalSpline.html#a9eec1f4d7ee25b15d435e8c49c69c92a">recalcTangents</a>(void)</td><td><a class="el" href="classOgre_1_1RotationalSpline.html">Ogre::RotationalSpline</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RotationalSpline.html#ac8596d691089c7be12d2879dc5595cea">RotationalSpline</a>()</td><td><a class="el" href="classOgre_1_1RotationalSpline.html">Ogre::RotationalSpline</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RotationalSpline.html#a94645c3887ad1b0872bcea3897fae613">setAutoCalculate</a>(bool autoCalc)</td><td><a class="el" href="classOgre_1_1RotationalSpline.html">Ogre::RotationalSpline</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RotationalSpline.html#a8ee6d15c86ed31e61e04360d36f1fbf9">updatePoint</a>(unsigned short index, const Quaternion &amp;value)</td><td><a class="el" href="classOgre_1_1RotationalSpline.html">Ogre::RotationalSpline</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RotationalSpline.html#ae7c15794bdabda0d02fb2ce52b3e1ea9">~RotationalSpline</a>()</td><td><a class="el" href="classOgre_1_1RotationalSpline.html">Ogre::RotationalSpline</a></td><td></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:05
</p>
</body>
</html>
